# Update address

Update records of an address object in our system
In case when an address becomes a part of a created verification, then our system will create a copy of an address object and will provide you with a different `address_id` in a response

Endpoint: PATCH /addresses/{address_id}
Version: 1.0
Security: API-Key

## Path parameters:

  - `address_id` (string, required)

## Request fields (application/json):

  - `type` (string)
    A type of an address object. The possible types are:
* `REGISTERED` for the residential address of a person or an affiliated person, or the registered address of a company
* `BUSINESS` for the primary business location of a company
* `ADDITIONAL` for any other address associated with a person, an affiliated person, or a company
    Enum: "REGISTERED", "BUSINESS", "ADDITIONAL"

  - `full_address` (string | null)
    A full address of an object, including a street address, a unit, a city, a postal code, a country
    Example: 45 High Street, Flat 2A, London, SW1A 1AA, United Kingdom

  - `country` (string | null)
    A country of an object. A two-letter country code according to ISO 3166-2
    Example: GB

  - `state` (string | null)
    A state of a person or a company
    Example: null

  - `region` (string | null)
    A region of a country of an object
    Example: Scotland

  - `province` (string | null)
    A province (a sub-region of a country) of an object
    Example: Ontario

  - `city` (string | null)
    A city or a town of a person or a company
    Example: London

  - `district` (string | null)
    The district (an area of a city) of an object
    Example: Westminster

  - `address` (string | null)
    An address (a street name, a building number, and a unit number) of a person or a company
    Example: 45 High Street, Flat 2A

  - `postal_code` (string | null)
    A postal code (zip code, postcode) of a person or a company
    Example: SW1A 1AA

  - `street_name` (string | null)
    A street name of an object
    Example: High Street

  - `building_number` (string | null)
    A number of a building of an object
    Example: 45

  - `unit_number` (string | null)
    A number of a unit (flat, apartment) of an object
    Example: Flat 2A

## Response 200 fields (application/json):

  - `address_id` (string)
    A unique identifier of an address object, that is assigned by our system after an address entity was created
    Example: 723f46ab04feb64f442946f2953a67eaecf7

## Response 400 fields (application/json):

  - `type` (string)
    Example: bad_request

  - `errors` (array)

## Response 402 fields (application/json):

  - `type` (string)
    Example: insufficient_funds

  - `errors` (array)

## Response 429 fields (application/json):

  - `type` (string)
    Example: flow

  - `errors` (array)

  - `errors.parameter` (string)
    Example: limit_exceeded

  - `errors.message` (string)
    Example: Rate limit exceeded

## Response 500 fields (application/json):

  - `type` (string)
    Example: internal_server

  - `errors` (array)

